Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class PerRequestRuntimeManager

    java.lang.Object
      org.jbpm.runtime.manager.impl.AbstractRuntimeManager
          org.jbpm.runtime.manager.impl.PerRequestRuntimeManager

All Implemented Interfaces:
  org.kie.internal.runtime.manager.RuntimeManager

    public class PerRequestRuntimeManager

extends AbstractRuntimeManager

Field Summary

Fields inherited from class org.jbpm.runtime.manager.impl.AbstractRuntimeManager
`activeSingletons, environment, identifier`

Constructor Summary
`PerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, org.kie.internal.runtime.manager.SessionFactory factory, org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory, String identifier)`

Method Summary
`void` | `close()`
`void` | `disposeRuntime(org.kie.internal.runtime.manager.Runtime runtime)`
`org.kie.internal.runtime.manager.SessionFactory` | `getFactory()`
`org.kie.internal.runtime.manager.Runtime` | `getRuntime(org.kie.internal.runtime.manager.Context context)`
`org.kie.internal.runtime.manager.TaskServiceFactory` | `getTaskServiceFactory()`
`void` | `setFactory(org.kie.internal.runtime.manager.SessionFactory factory)`
`void` | `setTaskServiceFactory(org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory)`

Methods inherited from class org.jbpm.runtime.manager.impl.AbstractRuntimeManager
`getEnvironment, getIdentifier, registerDisposeCallback, registerItems, setEnvironment, setIdentifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerRequestRuntimeManager

    public PerRequestRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                    org.kie.internal.runtime.manager.SessionFactory factory,
                                    org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory,
                                    String identifier)

Method Detail

### getRuntime

    public org.kie.internal.runtime.manager.Runtime getRuntime(org.kie.internal.runtime.manager.Context context)

### disposeRuntime

    public void disposeRuntime(org.kie.internal.runtime.manager.Runtime runtime)

### close

    public void close()

  Specified by:
    `close` in interface `org.kie.internal.runtime.manager.RuntimeManager`
  Overrides:
    `close` in class `AbstractRuntimeManager`

### getFactory

    public org.kie.internal.runtime.manager.SessionFactory getFactory()

### setFactory

    public void setFactory(org.kie.internal.runtime.manager.SessionFactory factory)

### getTaskServiceFactory

    public org.kie.internal.runtime.manager.TaskServiceFactory getTaskServiceFactory()

### setTaskServiceFactory

    public void setTaskServiceFactory(org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.